@echo off
IF NOT EXIST "C:\Program Files\Microsoft SQL Server\MSSQL.1\MSSQL\Backup\LocalDHD_Backup" (
	@echo Backing up databases...
	sqlcmd -S %COMPUTERNAME%\LocalDHD -U sa -P geidhd01 -Q "backup database [LocalDHD] to disk = 'LocalDHD_Backup' with noformat, noinit, name = 'LocalDHD Backup', norewind, nounload, skip" 
)

@ECHO recreating domain subscription...

sqlcmd -S %COMPUTERNAME%\LocalDHD -U sa -P geidhd01 -Q "use [LocalDHD];exec sp_dropmergepullsubscription @publisher = N'DS55827-10', @publication = N'Pub_SGA', @publisher_db = N'DHD_87'"

sqlcmd -S %COMPUTERNAME%\LocalDHD -U sa -P geidhd01 -Q "use [LocalDHD];exec sp_addmergepullsubscription @publisher = N'DS55827-10', @publication = N'Pub_SGA', @publisher_db = N'DHD_87', @subscriber_type = N'Local', @subscription_priority = 0, @description = N'', @sync_type = N'Automatic'"

sqlcmd -S %COMPUTERNAME%\LocalDHD -U sa -P geidhd01 -Q "use [LocalDHD];exec sp_addmergepullsubscription_agent @publisher = N'DS55827-10', @publisher_db = N'DHD_87', @publication = N'Pub_SGA', @distributor = N'DS55827-10', @distributor_security_mode = 0, @distributor_login = N'sa', @distributor_password = N'', @enabled_for_syncmgr = N'False', @frequency_type = 4, @frequency_interval = 1, @frequency_relative_interval = 1, @frequency_recurrence_factor = 0, @frequency_subday = 8, @frequency_subday_interval = 1, @active_start_time_of_day = 0, @active_end_time_of_day = 235959, @active_start_date = 0, @active_end_date = 0, @alt_snapshot_folder = N'', @working_directory = N'', @use_ftp = N'False', @job_login = null, @job_password = null, @publisher_security_mode = 0, @publisher_login = N'sa', @publisher_password = N'', @use_interactive_resolver = N'False', @dynamic_snapshot_location = N'', @use_web_sync = 1, @internet_url = N'https://merge.gegov.com/Pub_SGA/replisapi.dll', @internet_login = N'sa_dhd', @internet_password = null, @internet_security_mode = 0, @internet_timeout = 300"

@ECHO recreating core subscription...

sqlcmd -S %COMPUTERNAME%\LocalDHD -U sa -P geidhd01 -Q "use [CGEnterprises];exec sp_dropmergepullsubscription @publisher = N'DS55827-10', @publication = N'Pub_Core', @publisher_db = N'CGEnterprises'"

sqlcmd -S %COMPUTERNAME%\LocalDHD -U sa -P geidhd01 -Q "use [CGEnterprises];exec sp_addmergepullsubscription @publisher = N'DS55827-10', @publication = N'Pub_Core', @publisher_db = N'CGEnterprises', @subscriber_type = N'Local', @subscription_priority = 0, @description = N'', @sync_type = N'Automatic'"

sqlcmd -S %COMPUTERNAME%\LocalDHD -U sa -P geidhd01 -Q "use [CGEnterprises];exec sp_addmergepullsubscription_agent @publisher = N'DS55827-10', @publisher_db = N'CGEnterprises', @publication = N'Pub_Core', @distributor = N'DS55827-10', @distributor_security_mode = 0, @distributor_login = N'sa', @distributor_password = N'', @enabled_for_syncmgr = N'False', @frequency_type = 4, @frequency_interval = 1, @frequency_relative_interval = 1, @frequency_recurrence_factor = 0, @frequency_subday = 8, @frequency_subday_interval = 1, @active_start_time_of_day = 0, @active_end_time_of_day = 235959, @active_start_date = 0, @active_end_date = 0, @alt_snapshot_folder = N'', @working_directory = N'', @use_ftp = N'False', @job_login = null, @job_password = null, @publisher_security_mode = 0, @publisher_login = N'sa', @publisher_password = N'', @use_interactive_resolver = N'False', @dynamic_snapshot_location = N'', @use_web_sync = 1, @internet_url = N'https://merge.gegov.com/Pub_Core/replisapi.dll', @internet_login = N'sa_dhd', @internet_password = null, @internet_security_mode = 0, @internet_timeout = 300"

@echo Done!  Please now run sync process from DHD Offline Client as you normally would. 
@echo on